package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Visa_processing_timeRepository;
import com.realnet.vpspack.Entity.Visa_processing_time
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class Visa_processing_timeService {
@Autowired
private Visa_processing_timeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Visa_processing_time Savedata(Visa_processing_time data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Visa_processing_time save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Visa_processing_time> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Visa_processing_time> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Visa_processing_time> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Visa_processing_time getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Visa_processing_time update(Visa_processing_time data,Integer id) {
	Visa_processing_time old = Repository.findById(id).get();
old.setVisa_processing_time(data.getVisa_processing_time());

final Visa_processing_time test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
